numpy (1:2.2.4+ds-1ubuntu1) questing; urgency=medium

  * Rebuild for IEEE long double on ppc64el
  * Skip test_linear_interpolation_formula_symmetric and
    test_ppc64_ibm_double_double128 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 01 Jun 2025 12:18:42 +0000

numpy (1:2.2.4+ds-1) unstable; urgency=medium

  * New upstream version 2.2.4+ds
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 01 Apr 2025 21:45:23 +0200

numpy (1:2.2.3+ds-5) unstable; urgency=medium

  * Fix reproducibility issues with object files again

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Mar 2025 21:14:24 +0100

numpy (1:2.2.3+ds-4) unstable; urgency=medium

  * Add --force option to dh_numpy3 and improve detection
  * Fix FTBFS on alpha and hurd-*

 -- Timo Röhling <roehling@debian.org>  Sat, 01 Mar 2025 22:25:17 +0100

numpy (1:2.2.3+ds-3) unstable; urgency=medium

  * Make dh_numpy3 smarter about adding ABI dependencies
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Feb 2025 14:47:44 +0100

numpy (1:2.2.3+ds-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.1
  * Properly execute dir_to_symlink transition (Closes: #1098365)

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Feb 2025 11:56:23 +0100

numpy (1:2.2.3+ds-1) unstable; urgency=medium

  * New upstream version 2.2.3+ds (Closes: #1095468)
  * Skip huge_vectordot test on all 32 bit architectures (Closes: #1097126)

 -- Timo Röhling <roehling@debian.org>  Tue, 18 Feb 2025 09:52:55 +0100

numpy (1:2.2.2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 26 Jan 2025 21:02:29 +0100

numpy (1:2.2.2+ds-1) experimental; urgency=medium

  * New upstream version 2.2.2+ds

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Jan 2025 18:07:13 +0100

numpy (1:2.2.1+ds-2) experimental; urgency=medium

  [ Alexandre Detiste ]
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jan 2025 12:02:00 +0100

numpy (1:2.2.1+ds-1) experimental; urgency=medium

  * New upstream version 2.2.1+ds
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jan 2025 11:28:28 +0100

numpy (1:2.2.0+ds-1) experimental; urgency=medium

  * New upstream version 2.2.0+ds
  * Update patches
    - Drop 0009-Use-correct-Python-interpreter-in-tests.patch
      (merged upstream)
  * Wrap and sort Debian package files
  * Drop dependency on python3-pkg-resources (Closes: #1083512)

 -- Timo Röhling <roehling@debian.org>  Thu, 12 Dec 2024 23:47:03 +0100

numpy (1:2.1.3+ds-2) experimental; urgency=medium

  * Skip failing autopkgtest after scrubbing __config__.py

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Dec 2024 00:05:44 +0100

numpy (1:2.1.3+ds-1) experimental; urgency=medium

  * New upstream version 2.1.3+ds
  * Move dh_numpy3 to python3-numpy-dev
  * Fix __config__.py divergence between different Python versions
  * Finalize package layout for better cross-build support
    (Closes: #1076236)

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Nov 2024 00:37:09 +0100

numpy (1:2.1.2+ds-1) experimental; urgency=medium

  [ Dima Kogan ]
  * swig numpy docs contain the correct include path

  [ Timo Röhling ]
  * Skip test that fills up Salsa autopkgtest filesystem
  * New upstream version 2.1.2+ds

 -- Timo Röhling <roehling@debian.org>  Tue, 08 Oct 2024 18:55:28 +0200

numpy (1:2.1.1+ds-3) experimental; urgency=medium

  * Make __config__.py reproducible
  * Use correct Python interpreter in tests (Closes: #1082094)

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 23:45:59 +0200

numpy (1:2.1.1+ds-2) experimental; urgency=medium

  * Use sysconfig module and _PYTHON_SYSCONFIGDATA_NAME for cross build support
  * Skip a few more problematic tests

 -- Timo Röhling <roehling@debian.org>  Mon, 16 Sep 2024 23:41:43 +0200

numpy (1:2.1.1+ds-1) experimental; urgency=medium

  * New upstream version 2.1.1+ds
  * Add missing test excludes for arch-specific fails
  * Split python3-numpy-dev off python3-numpy for better cross-build support
  * Improve package description
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Fri, 06 Sep 2024 14:18:38 +0200

numpy (1:2.1.0+ds-2) experimental; urgency=medium

  * Ignore arch-specific test failures

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Sep 2024 00:08:35 +0200

numpy (1:2.1.0+ds-1) experimental; urgency=medium

  * New upstream version 2.1.0+ds
  * Update copyright information
  * Update patches
    - Drop Do-not-fail-if-we-cannot-import-mingw32.patch (obsolete)
    - Drop Use-proper-lapack-dependency-for-__config__.py.patch (merged)
    - Drop Do-not-fail-the-build-on-Sphinx-warnings.patch (obsolete)
    - Drop Prevent-random-object-file-names-in-debuginfo.patch (merged)
    - Drop Ignore-distutils-for-Python-3.12-and-later.patch (obsolete)
    - Drop Remove-hack-to-override-_add_newdocs_scalars.patch (obsolete)
  * Update NumPy ABI/API versioning
  * Update prefix path in debian/numpy.pc
  * Update test suite invocation
  * Prepare multi-arch support for numpy.pc
  * Avoid circular NumPy build dependencies
  * New required Sphinx extension copybutton
  * Relax api-min-version requirement in dh_numpy3

 -- Timo Röhling <roehling@debian.org>  Fri, 30 Aug 2024 18:11:32 +0200

numpy (1:1.26.4+ds-13) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083512)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 20:42:00 +0100

numpy (1:1.26.4+ds-12) unstable; urgency=medium

  * Team upload.
  * Patch test_iter_refcount to support Python 3.13.
  * Skip test_deprecate_* to support Python 3.13.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 14 Nov 2024 14:43:59 +0100

numpy (1:1.26.4+ds-11) unstable; urgency=medium

  * Remove hack to override _add_newdocs_scalars (Closes: #1076899)

 -- Timo Röhling <roehling@debian.org>  Wed, 31 Jul 2024 00:19:32 +0200

numpy (1:1.26.4+ds-10) unstable; urgency=medium

  * Defang upstream gitignore
  * Stop building distutils documentation with Python 3.12 (Closes: #1071255)

 -- Timo Röhling <roehling@debian.org>  Fri, 17 May 2024 18:38:57 +0200

numpy (1:1.26.4+ds-9) unstable; urgency=medium

  * Upload to unstable (Closes: #1070445)
  * More test filtering
  * Fix reproducibility issue with lapack dependency
  * Reorganize patches (no functional changes)
  * Prevent random object file names in debuginfo
  * Skip FPClass tests on mips64el

 -- Timo Röhling <roehling@debian.org>  Thu, 16 May 2024 14:38:07 +0200

numpy (1:1.26.4+ds-9~exp1) experimental; urgency=medium

  [ Michael R. Crusoe ]
  * Bring back the -doc package.

  [ Timo Röhling ]
  * Fix the SWIG documentation patch to reflect recent changes
  * Improve logic to avoid unneeded compilations

 -- Timo Röhling <roehling@debian.org>  Wed, 15 May 2024 21:24:07 +0200

numpy (1:1.26.4+ds-8) unstable; urgency=medium

  * Another round of flaky tests

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Apr 2024 21:52:44 +0200

numpy (1:1.26.4+ds-7) unstable; urgency=medium

  * Make mips64el build more robust
  * Remove outdated READMEs
  * Move packaging helper scripts to dedicated subdir
  * Use deterministic MesonPy build directory
  * Bump Standards-Version to 4.7.0
  * Skip TestErrState::test_invalid on armel (Closes: #1069551)

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Apr 2024 16:10:26 +0200

numpy (1:1.26.4+ds-6) unstable; urgency=medium

  * Make header include dir findable by pkgconf (Closes: #1067398)
  * Fix architecture-specifix test exclusions in autopkgtest
  * Fix entry point edits
  * Do not install duplicate files in /usr/lib/python3.X (Closes: #1063465)

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Mar 2024 23:14:35 +0100

numpy (1:1.26.4+ds-5) unstable; urgency=medium

  * Fix more FTBFS due to architecture idiosynchrasies

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 21:51:43 +0100

numpy (1:1.26.4+ds-4) unstable; urgency=medium

  * Also skip feature test in armhf/armel

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 12:51:15 +0100

numpy (1:1.26.4+ds-3) unstable; urgency=medium

  * Skip tests with floating point errors on armhf/armel

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 11:38:11 +0100

numpy (1:1.26.4+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Avoid hard dependency on individual Python versions.
    Thanks to Simon McVittie (Closes: #945824)
  * Stop symlinking NumPy headers in Python default include path
    (Closes: #998084)
  * Make package cross-buildable
  * Skip f2py tests for architecture-specific failures
  * Adopt upstream spelling of NumPy
  * Tests no longer consume excessive memory with Python 3.12
    (Closes: #1058456)

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Mar 2024 11:58:47 +0100

numpy (1:1.26.4+ds-1) experimental; urgency=medium

  * Update debian/watch
  * New upstream version 1.26.4+ds
  * Update debian/copyright
  * Update patches
    - Drop 0004-Restore-missing-asstr-import.patch (merged upstream)
    - Drop 0005-Fix-pytest-8-deprecation-error.patch (merged upstream)
  * MesonPy is devendored now

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Mar 2024 14:49:51 +0100

numpy (1:1.26.3-3) experimental; urgency=medium

  * Add ckk and myself as uploaders (Closes: #1065329)
  * Migrate to meson build system
  * Update debian/copyright
  * Update patches
    - Drop debian_skip_tests.patch (no longer needed)
    - Drop setup-py-accept-config.patch (no longer needed)
  * Migrate to pybuild autopkgtest

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Mar 2024 12:38:38 +0100

numpy (1:1.26.3-2) experimental; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 15:45:34 -0500

numpy (1:1.26.3-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * New upstream release (Closes: #1052320)
    - Adds Python 3.12 support.
    - Adds cython 3 support. (Closes: #1056825)
  * Refresh patches.
  * Drop patches, superseded upstream: python3-soabi.patch, python3.11.patch.
  * Build-Depend on tzdata-legacy. The testsuite uses US/Eastern.
  * Manually generate the f2pyX.Y scripts that upstream is no longer building.
  * Clean version.py, generated on every build.
  * Build-Depend on meson, and include it in many autopkgtests. f2py now uses
    it on Python 3.12.
  * Patch: Restore dropped import in f2py test suite.
  * debian/versions
    - bump API version to 17, min version 1.25.0

  [ Sandro Tosi ]
  * New upstream release
  * debian/source/options
    - ignore bat scripts diffs
  * debian/copyright
    - convert to DEP-5 format
    - exclude .gitattributes from upstream tarball, messing up with .bat files
  * debian/control
    - drop dvisvgm from b-d, no longer needed; Closes: #1055435
  * drop patches used to fix doc build, since we dont ship doc anymore
  * debian/source/include-binaries
    - drop, no longer needed

 -- Sandro Tosi <morph@debian.org>  Mon, 22 Jan 2024 01:48:13 -0500

numpy (1:1.24.2-3) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 15:43:52 -0500

numpy (1:1.24.2-2) unstable; urgency=medium

  * Team upload.
  * Drop SETUPTOOLS_USE_DISTUTILS=stdlib workaround, no longer needed and not
    applicable to Python 3.12.
  * Clean correctly.
  * Depend on python3-setuptools in autopkgtests that require distutils, for
    Python 3.12 compatibility.
  * Use --install-layout deb in capi autopkgtest, to use a consistent layout
    with Python 3.11 and 12.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 Dec 2023 21:10:36 -0400

numpy (1:1.24.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Feb 2023 22:54:23 -0500

numpy (1:1.24.1-2) unstable; urgency=medium

  * upload to unstable; Closes: #1027581

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Jan 2023 16:38:17 -0500

numpy (1:1.24.1-1) experimental; urgency=medium

  * New upstream release
  * debian/tests/
    - use py3versions --supported instead of --requested

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Dec 2022 20:27:08 -0500

numpy (1:1.24.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/
    - refresh patches
  * Stop building the -doc package; the cost of maintaining the build process
    and packaging more and more new packages is no longer sustainable, given the
    few users actually installing it.
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 19 Dec 2022 01:28:04 -0500

numpy (1:1.23.5-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Mon, 12 Dec 2022 18:21:15 -0500

numpy (1:1.23.5-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - track releases via GitHub APIs
  * debian/patches
    - refresh/disable patches
  * debian/tests/control
    - replace libopenblas-base (transitional pkg, now removed) with
      libopenblas0; Closes: #1024439
  * debian/edit_console_scripts.py, debian/rules
    - add a new helper script to edit console_scripts section of
      entry_points.txt

 -- Sandro Tosi <morph@debian.org>  Thu, 08 Dec 2022 01:57:30 -0500

numpy (1:1.23.3-1) experimental; urgency=medium

  * New upstream release
  * debian/rules
    - set SETUPTOOLS_USE_DISTUTILS=stdlib to ensure compatibility with
      setuptools >= 60.0.0; Thanks to Jochen Sprickerhof

 -- Sandro Tosi <morph@debian.org>  Thu, 03 Nov 2022 23:33:17 -0400

numpy (1:1.23.2-1) experimental; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Aug 2022 00:30:33 -0400

numpy (1:1.23.1-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - track github releases (containing extra files like SVML), not tags
  * debian/control
    - bump versioned b-d on cython3 to >= 0.29.30
    - add typing-extensions to b-d, needed by tests
  * debian/patches/
    - refresh/drop patches
  * debian/rules
    - enable SVML, available by using the github release tarball
  * debian/patches/docs_disable_switcher_version.patch
    - disable switcher_version theme, until we can build a more recent version
      of pydata-sphinx-theme
  * debian/versions3.helper
    - update to modern python3, and better error messages
  * debian/versions
    - bump API version to 16
  * debian/rules
    - rework how we run tests at build time
  * debian/tests
    - adjustments to autopkgtests for new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 11 Aug 2022 00:43:08 -0400

numpy (1:1.22.1-1) experimental; urgency=medium

  * debian/rules
    - install dh_numpy3 manpage
  * Install numpy.i SWIG interface in /usr/include/python3.x/numpy in the main
    package, instead of -doc; Closes: #1000678
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright information
  * refresh patches
  * debian/control
    - add doxygen, breathe, and sphinx-panels to b-d, needed by doc
    - bump b-d on python3-hypothesis to >= 6.35.0
  * debian/versions
    - bump API version
  * debian/patches/PR20695.patch, debian/rules
    - temporarily disable SVML

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Jan 2022 01:30:22 -0500

numpy (1:1.21.5-2) unstable; urgency=medium

  [ Stefano Rivera]
  * Team upload.

  [ Sandro Tosi ]
  * debian/rules
    - set SETUPTOOLS_USE_DISTUTILS=stdlib to ensure compatibility with
      setuptools >= 60.0.0; Thanks to Jochen Sprickerhof; Closes: #1020135

  [ Graham Inggs ]
  * Use `Py_SET_TYPE` macro instead of assigning to `Py_TYPE` for
    compatibility with Python 3.11.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Nov 2022 21:03:10 +0200

numpy (1:1.21.5-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - dont compress woff, woff2, and ico files; Closes: #1001518
  * debian/{dh_numpy3.1, README.DebianMaints}
    - properly document dh_numpy3, patch by Julian Gilbey; Closes: #1000566

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Dec 2021 00:57:37 -0500

numpy (1:1.21.4-2) unstable; urgency=medium

  [ Dan Bungert ]
  * Packaging changes for compatibility with python 3.10; Closes: #999812

  [ Sandro Tosi ]
  * stop building -dbg package; Closes: #994316
  * debian/python3-numpy.install
    - simplify numpy module installation, as suggested by Drew Parsons
  * upload to unstable; Closes: #995318

 -- Sandro Tosi <morph@debian.org>  Fri, 19 Nov 2021 23:39:08 -0500

numpy (1:1.21.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/patches/PR20179.patch
    - drop patch, merged upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Nov 2021 01:04:21 -0500

numpy (1:1.21.2-3) experimental; urgency=medium

  * debian/python3-numpy.install
    - install typing submodule; Closes: #998109

 -- Sandro Tosi <morph@debian.org>  Fri, 05 Nov 2021 01:08:43 -0400

numpy (1:1.21.2-2) experimental; urgency=medium

  * debian/patches/PR20179.patch
    - fix a failure on armhf when running tests

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Oct 2021 00:52:29 -0400

numpy (1:1.21.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gfortran.
    + python3-numpy: Drop versioned constraint on gcc in Suggests.
    + python3-numpy: Drop versioned constraint on python3-aplpy,
      python3-astropy, python3-ccdproc, python3-dask, python3-skimage,
      python3-tables and python3-theano in Breaks.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - track github releases
  * debian/copyright
    - update upstream copyright notices
  * debian/patches
    - refresh patches
  * debian/control
    - merge b-d-i into b-d
    - bump b-d on cython3 to >= 0.29.24
    - bump b-d on pydata-sphinx-theme to >= 0.7.1
  * debian/patches/setup-py-accept-config.patch
    - allow setup.py config
  * debian/rules
    - set GITVER when building doc
    - also set PYTHONPATH when running tests, this allows those spawning a
      separate interpreter to still use the newly built module

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Oct 2021 17:32:00 -0400

numpy (1:1.20.2-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - remove notice for doc/scipy-sphinx-theme, dropped upstream
    - remove notice for doc/sphinxext, dropped upstream
  * debian/control
    - add numpydoc to b-d, needed by doc

 -- Sandro Tosi <morph@debian.org>  Sat, 03 Apr 2021 13:01:26 -0400

numpy (1:1.20.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches
  * debian/control
    - add pydata-sphinx-theme and pandas-doc to b-d, needed by doc
  * debian/versions
    - update for new Numpy API 14
  * debian/copyright
    - updates for new upstream code

 -- Sandro Tosi <morph@debian.org>  Fri, 02 Apr 2021 01:54:06 -0400

numpy (1:1.19.5-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
    - run wrap-and-sort
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Jan 2021 01:25:24 -0500

numpy (1:1.19.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 02 Nov 2020 23:30:38 -0500

numpy (1:1.19.3-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Oct 2020 22:59:46 -0400

numpy (1:1.19.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/tests/control
    - add hypothesis to some autopkgtests

 -- Sandro Tosi <morph@debian.org>  Fri, 25 Sep 2020 01:48:22 -0400

numpy (1:1.19.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * debian/patches/sphinx_no_dashW.patch
    - remove -W option from sphinx-build, until upstream supports sphinx 3

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Sep 2020 01:14:11 -0400

numpy (1:1.19.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - update versione b-d on hypothesis to >= 5.19.1
    - bump b-d on cython3 to >= 0.29.21

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jul 2020 20:59:57 -0400

numpy (1:1.19.0-1) unstable; urgency=medium

  * New upstream release
  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Jun 2020 21:02:50 -0400

numpy (1:1.19.0~rc2-2) experimental; urgency=medium

  * debian/patches/debian_skip_tests.patch
    - skip test_full_reimport

 -- Sandro Tosi <morph@debian.org>  Sat, 06 Jun 2020 20:31:14 -0400

numpy (1:1.19.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate
  * debian/control
    - update b-d on hypothesis to be versioned >= 5.12.0

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Jun 2020 21:11:56 -0400

numpy (1:1.19.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * debian/control
    - add hypothesis to b-d, needed by tests
    - add skimage, imageio -doc pkgs to b-d, needed by doc intersphinx objects
  * debian/patches/*
    - refresh/update patches
  * debian/copyright
    - update upstream copyright notice

 -- Sandro Tosi <morph@debian.org>  Mon, 18 May 2020 18:48:37 -0400

numpy (1:1.18.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 06 May 2020 19:26:24 -0400

numpy (1:1.18.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Apr 2020 21:36:17 -0400

numpy (1:1.18.2-2) unstable; urgency=medium

  * debian/patches/debian_skip_tests.patch
    - skip test_compile*, as we cant realiably compile from within numpy module
      location (sadly numpy.test() extra_argv didnt work)

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Apr 2020 02:06:44 -0400

numpy (1:1.18.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Team upload.
  * Port debian/versions3.helper to python3; Closes: #948354, #956527
  * debian/control: Mark several BD with <!nocheck> to break dependency cycle
    (Closes: #946607)
  * debian/control: Move the packages needed to generate the doc package to BDI
  * debian/control: Mark the -doc package and its BD with <!nodoc>
  * debian/control: Make the python3-numpy package provide dh-sequence-numpy3
    (Closes: #950953)

  [ Sandro Tosi ]
  * New upstream release
  * debian/python3-numpy.docs
    - install some additional documentation
  * debian/control
    - require sphinx 2+
  * Refresh & drop patches as per new upstream code
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Apr 2020 01:11:06 -0400

numpy (1:1.17.4-5) unstable; urgency=medium

  * debian/rules
    - edit entry_points.txt only if it's present, fixing a FTBFS for arch:all;
      Closes: #945263

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Dec 2019 01:50:13 -0500

numpy (1:1.17.4-4) unstable; urgency=medium

  * debian/rules
    - add an f2py entry_point for all supported py3k versions; Closes: #945263
  * debian/patches/use_local_object.inv_files.patch
    - update SciPy object.inv location

 -- Sandro Tosi <morph@debian.org>  Wed, 11 Dec 2019 12:57:27 -0500

numpy (1:1.17.4-3) unstable; urgency=medium

  * debian/tests/control
    - add python3-distutils to the `distutils` test depends

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Nov 2019 19:21:07 -0500

numpy (1:1.17.4-2) unstable; urgency=medium

  * debian/tests/{atlas,openblas}
    - use the `python3` script in autotests

 -- Sandro Tosi <morph@debian.org>  Sat, 16 Nov 2019 23:58:08 -0500

numpy (1:1.17.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches/PR14769.patch
    - fix integer size confusion in handling array's ndmin on s390x

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Nov 2019 10:30:17 -0500

numpy (1:1.17.2-1) experimental; urgency=medium

  * New upstream release
  * Rename source package to numpy, to track py3k-only upstream source
  * debian/watch
    - track the latest release
  * debian/control
    - drop python2 packages
    - use cython3 >= 0.29.2
    - add ipython, scipy, dvisvgm, texlive-latex-base/extra to b-d, needed to
      build doc
    - remove all Breaks/Repleaces from -dbg package
  * debian/tests
    - autopkgtests: only test py3k
  * debian/dh_numpy*
    - keep only py3k dh_numpy (+ helpers)
  * debian/rules
    - build only py3k packages
    - dont regenerate generate_mtrand_c.py, removed upstream
    - use pybuild
    - let tests be run during install, not via dh sequencer
  * debian/copyright
    - update to upstream new code
  * Use objects.inv from python3/scipy/maptlotlib -doc packages

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Sep 2019 16:09:25 -0400

python-numpy (1:1.16.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Drew Parsons ]
  * move python3-matplotlib to Build-Depends-Indep. Build docs under
    override_dh_auto_build-indep. Thanks Jason Duerstock.
    Closes: #929975

  [ Sandro Tosi ]
  * New upstream release; Closes: #933056, #931541
  * debian/watch
    - only search for 1.16.x releases, the only ones supporting python2
  * debian/copyright
    - document numpy/linalg/lapack_lite/ copyright and license

 -- Sandro Tosi <morph@debian.org>  Sat, 07 Sep 2019 17:33:43 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-numpy-dev`.
